# Generated by Django 4.0.10 on 2023-04-09 17:17

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('treatments', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='TreatmentType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=225, verbose_name='name')),
                ('description', models.TextField(blank=True, null=True, verbose_name='description')),
            ],
            options={
                'verbose_name': 'treatment type',
                'verbose_name_plural': 'treatment types',
                'ordering': ['name'],
            },
        ),
        migrations.RemoveField(
            model_name='processingline',
            name='capacity_unit',
        ),
        migrations.AddField(
            model_name='processingline',
            name='running',
            field=models.BooleanField(default=False, help_text='Set to true if the processing line is currently running.', verbose_name='running'),
        ),
        migrations.AlterField(
            model_name='processingline',
            name='capacity',
            field=models.IntegerField(blank=True, default=0, help_text='The number of units that can be processed at the same time or 0 if there is no limit.', null=True, verbose_name='capacity'),
        ),
        migrations.AlterField(
            model_name='processingline',
            name='location',
            field=models.CharField(blank=True, max_length=225, null=True, verbose_name='location'),
        ),
        migrations.AlterField(
            model_name='processingline',
            name='treatment_type',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='treatments.treatmenttype', verbose_name='treatment type'),
        ),
    ]
